Groovy Documentation

## org.codehaus.groovy.grails.support
[Groovy] Class DevelopmentShutdownHook

    java.lang.Object
      org.codehaus.groovy.grails.support.DevelopmentShutdownHook

    class DevelopmentShutdownHook

A shutdown hook that closes the application context when CTRL+C is hit in dev mode.

Authors:
  Graeme Rocher

Since:
  1.1.1

Method Summary
`void` | `setApplicationContext(ApplicationContext applicationContext)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### setApplicationContext

    void setApplicationContext(ApplicationContext applicationContext)

Groovy Documentation